Subject: How to increase bitmap resolution?

From: Jeremy Barth <[email-masked]>
Date: Mon, 23 Mar 1992 08:27:35 EST

This question may have been dealt with before, or be
hopelessly naive, for which I beg your patience.

We are running a technical publishing operation
using a specialized software package on Sun
workstations.  A Chinese author recently supplied
us with 48x48 bitmaps of several Chinese characters
which I have converted to SunRaster format with
a simple program.  The characters print out nicely,
but the resolution is rather poor for professional
publishing.

My question is whether there is some kind of "hack"
for increasing the resolution of the bitmaps.
I can physically "blow up" the bitmap to, e.g.
192x192 and then go in and physically edit the
pixels to "round off" the edges, but as a non-Chinese
speaking person I'm reluctant to make cosmetic changes
that may turn out to completely change the meaning of
a character.

Alternatively, is there some kind of algorithm
rounding off sharp edges in bitmaps that I could
use?

Any insights would be appreciated.

Jeremy Barth            E-mail: [email-masked]
Electronic Publishing   Voice:  (212) 705-7400
   Specialist
IEEE, Inc.
345 E. 47th St.
New York, NY 10017